package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊断问询-疾病特有意图问题及回复
 *
 * @TableName vp_ask_disease_question_answer
 */
@TableName(value = "vp_ask_disease_question_answer", autoResultMap = true)
@Data
@ApiModel
public class AskDiseaseQuestionAnswer extends Model<AskDiseaseQuestionAnswer> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 疾病ID
     */
    @ApiModelProperty("疾病ID")
    private String diseaseId;

    /**
     * 模板问题ID(如果not null,则从template_question表出code,desc,question)
     */
    @ApiModelProperty("模板问题ID(如果not null,则从template_question表出code,desc,question)")
    private String templateQuestionId;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 中文注释
     */
    @ApiModelProperty("中文注释")
    private String description;

    /**
     * 问题列表
     */
    @ApiModelProperty("问题列表")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> question;

    /**
     * 回答列表
     */
    @ApiModelProperty("回答列表")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> answer;

    @ApiModelProperty("是否必查-初步诊断依据 0否1是")
    private Integer requireCheck;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}