package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊断问询意图
 * @TableName vp_ask_template_question
 */
@TableName(value ="vp_ask_template_question",autoResultMap = true)
@Data
@ApiModel
public class AskTemplateQuestion extends Model<AskTemplateQuestion> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 中文注释
     */
    @ApiModelProperty("中文注释")
    private String description;

    /**
     * 问题列表
     */
    @ApiModelProperty("问题列表")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> question;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}