package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病名称
 * @TableName vp_disease
 */
@TableName(value ="vp_disease")
@Data
@ApiModel
public class Disease implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 疾病名称
     */
    private String diseaseName;

    /**
     * 疾病编码
     */
    @ApiModelProperty("疾病编码")
    private String code;

    /**
     * 状态 0未训练 1已训练
     */
    @ApiModelProperty("状态 0未训练 1已训练")
    private Integer status;


    /**
     * 初步诊断依据
     */
    @ApiModelProperty("初步诊断依据")
    private String preliminaryDiagnosis;

    /**
     * 证实诊断依据
     */
    @ApiModelProperty("证实诊断依据")
    private String confirmingDiagnosis;

    /**
     * 鉴别依据
     */
    @ApiModelProperty("鉴别依据")
    private String basisIdentification;


    /**
     * 其他
     */
    @ApiModelProperty("其他")
    private String other;


    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}