package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 病人表
 *
 * @TableName vp_patient
 */
@TableName(value = "vp_patient", autoResultMap = true)
@Data
@ApiModel
public class Patient implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人名称
     */
    @ApiModelProperty("病人名称")
    private String name;

    /**
     * 性别 0男 1女
     */
    @ApiModelProperty("性别 0男 1女")
    private Integer gender;

    /**
     * 病人年龄
     */
    @ApiModelProperty("病人年龄")
    private Integer age;

    /**
     * 症状
     */
    @ApiModelProperty("症状")
    private String symptoms;

    /**
     * 身高
     */
    @ApiModelProperty("身高")
    private BigDecimal height;

    /**
     * 体重
     */
    @ApiModelProperty("体重")
    private BigDecimal weight;

    /**
     * 疾病列表
     */
    @ApiModelProperty("疾病列表")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> diseaseList;

    /**
     * 预期诊断结果
     */
    @ApiModelProperty("预期诊断结果")
    private String expectedDiagnosisResult;

    /**
     * 治疗计划
     */
    @ApiModelProperty("治疗计划")
    private String diseaseTreatmentPlan;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}