package com.supervision.controller;

import com.supervision.model.ConfigAncillaryItem;
import com.supervision.model.ConfigPhysicalLocation;
import com.supervision.model.DiagnosisAncillaryRecord;
import com.supervision.pojo.vo.AskAncillaryResultReqVO;
import com.supervision.service.AskAncillaryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Api(tags = "辅助检查")
@RestController
@RequestMapping("askAncillary")
@RequiredArgsConstructor
public class AskAncillaryController {

    private final AskAncillaryService askAncillaryService;

    @ApiOperation("查询辅助检查项目列表")
    @GetMapping("queryAncillaryItemList")
    public Map<String, List<ConfigAncillaryItem>> queryAncillaryItemList(){
        return askAncillaryService.queryAncillaryItemList();
    }


    @ApiOperation("进行辅助检查,并获取结果")
    @GetMapping("queryAskAncillaryResult")
    public DiagnosisAncillaryRecord execAskAncillaryResult(AskAncillaryResultReqVO reqVO){
        return askAncillaryService.execAskAncillaryResult(reqVO);
    }


}
