package com.supervision.controller;

import com.supervision.model.ConfigPhysicalTool;
import com.supervision.model.DiagnosisPhysicalRecord;
import com.supervision.pojo.vo.AskPhysicalResultReqVO;
import com.supervision.service.AskPhysicalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Api(tags = "体格检查")
@RestController
@RequestMapping("askPhysical")
@RequiredArgsConstructor
@Validated
public class AskPhysicalController {

    private final AskPhysicalService askPhysicalService;

    @ApiOperation(value = "查询体格检查的工具列表")
    @GetMapping("queryPhysicalToolList")
    public Map<String, List<ConfigPhysicalTool>> queryPhysicalToolList() {
        return askPhysicalService.queryPhysicalToolList();
    }

    @ApiOperation(value = "查询体格检查的结果")
    @GetMapping("queryAskPhysicalResult")
    public DiagnosisPhysicalRecord queryAskPhysicalResult(AskPhysicalResultReqVO reqVO) {
        return askPhysicalService.queryAskPhysicalResult(reqVO);
    }
}
