package com.supervision.controller;


import com.supervision.model.DiagnosisPrimary;
import com.supervision.model.Disease;
import com.supervision.service.AskPrimaryService;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "初步诊断")
@RestController
@RequestMapping("askPrimary")
@RequiredArgsConstructor
public class AskPrimaryController {

    private final AskPrimaryService askPrimaryService;

    @ApiOperation("查询初步诊断列表")
    @GetMapping("queryAskPrimaryList")
    public List<DiagnosisPrimaryVO> queryAskPrimaryList(String processId){
        return askPrimaryService.queryAskPrimaryList(processId);
    }

    @ApiOperation("获取初步诊断可选的下拉列表")
    @GetMapping("queryPrimaryCanChooseList")
    public List<Disease> queryPrimaryCanChooseList(){
        return askPrimaryService.queryPrimaryCanChooseList();
    }

    @ApiOperation("保存初步诊断")
    @GetMapping("savePrimary")
    public void savePrimary(@RequestBody DiagnosisPrimary reqVO){
        askPrimaryService.savePrimary(reqVO);
    }

    @ApiOperation("删除初步诊断")
    @GetMapping("deletePrimary")
    public void deletePrimary(String id){
        askPrimaryService.deletePrimary(id);
    }
}
