package com.supervision.controller;

import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.domain.UserInfo;
import com.supervision.exception.BusinessException;
import com.supervision.model.User;
import com.supervision.service.UserService;
import com.supervision.util.TokenUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Optional;

@Api(tags = "用户管理")
@RestController
@RequestMapping("user")
@RequiredArgsConstructor
public class UserController {

    private final UserService userService;

    @ApiOperation("登录")
    @GetMapping("login")
    public String login(String userAccount, String password) {
        if (!StrUtil.isAllNotBlank(userAccount, password)) {
            throw new BusinessException("用户名不能为空");
        }
        Optional<User> user = userService.lambdaQuery().eq(User::getAccount, userAccount).last("limit 1").oneOpt();
        if (!user.isPresent()) {
            throw new BusinessException("未找到用户");
        }
        if (!user.get().getPassword().equals(password)) {
            throw new BusinessException("密码错误");
        }
        return TokenUtil.creatToken(JSONUtil.toJsonStr(user.get()));
    }
}
