package com.supervision.websocket.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class SocketMessageDTO {

    @ApiModelProperty("socket链接ID")
    private String socketId;

    @ApiModelProperty("当前用户ID")
    private String userId;

    @ApiModelProperty("文字消息内容")
    private String textMessage;

    @ApiModelProperty("语音消息内容")
    private String voiceMessage;

    @ApiModelProperty("若有动作,这是需要执行的动作内容")
    private ActionDTO action;

    /**
     * 后端返回给前端时使用,表示该是消息还是action动作,1消息,2动作
     */
    @ApiModelProperty("后端返回给前端时使用,表示该是消息还是action动作,1消息,2动作")
    private Integer type;

    /**
     * 表示是消息还是action动作,0语音,1文字
     */
    @ApiModelProperty("前端到后端使用,表示是语音还是文字,1语音,2文字")
    private Integer messageType;
}
